<?php
/**
 * @package WordPress
 * @subpackage Simplicity
 */

get_header();
?>
	<div id="wrapper">
	<div id="content" role="main">
	<div id="page-with-column">
	<?php get_sidebar(); ?>
	<div id="narrowcolumn">
	
		<!-- <div id="breadcrumb"><?php the_breadcrumb(); ?></div> -->

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="archive-title">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="archive-title">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="archive-title">Author Archive</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="archive-title">Blog Archives</h2>
 	  <?php } ?>


		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class="blogtitle"><h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2></div>
				<div class="postmetadata">Posted in <span class="highlight"><?php the_category(', ') ?></span> on <?php the_time('F jS, Y') ?> <span class="highlight"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span></div>
				<div class="entry">
					<?php $postimageurl = get_post_meta($post->ID, 'post-img', true); if ($postimageurl) { ?>
						<div class="excerpt-pic">
							<?php the_post_thumbnail(); ?>
							<a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><img src="<?php echo $postimageurl; ?>" alt="Post Pic" /></a>
						</div>
					<?php } ?>
					<?php the_excerpt(); ?>
				</div>
				<div class="readmore-container"><div class="readmore"><a href="<?php the_permalink(); ?>">Read More &raquo;</a></div></div>
				<div class="separator"></div>
			</div>

		<?php endwhile; ?>

		<?php if(function_exists('wp_pagenavi')) {
				wp_pagenavi();
			} else{?>
				<div class="entry-navigation">
					<div class="Left"><?php next_posts_link('&laquo; Older Entries') ?></div>
					<div class="Right"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
				</div>
		<?php } ?>

	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>No posts found.</h2>");
		}
		get_search_form();

	endif;
?>


	<div class="Clear">
	</div>
	</div> <!-- narrowcolumn -->
	<div class="Clear">
	</div>
	</div> <!-- page -->
	</div> <!-- content -->
	</div> <!-- wrapper -->

<?php get_footer(); ?>
