<?php
/**
 * @package WordPress
 * @subpackage Simplicity
 */

get_header(); ?>

	<div id="wrapper">
	<div id="content" role="main">
	<div id="page-with-column">
	<?php get_sidebar(); ?>
	<div id="narrowcolumn">

	<!-- <div id="breadcrumb"><?php the_breadcrumb(); ?></div> -->
	
	<?php if (have_posts()) : ?>

		<div class="title"><h2>Search Results</h2></div>


		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class="blogtitle"><h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2></div>
				<div class="postmetadata">Posted in <span class="highlight"><?php the_category(', ') ?></span> on <?php the_time('F jS, Y') ?> <span class="highlight"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span></div>
				<div class="entry">
					<?php $postimageurl = get_post_meta($post->ID, 'post-img', true); if ($postimageurl) { ?>
						<div class="excerpt-pic">
							<?php the_post_thumbnail(); ?>
							<a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><img src="<?php echo $postimageurl; ?>" alt="Post Pic" /></a>
						</div>
					<?php } ?>
					<?php the_excerpt(); ?>
				</div>
				<div class="readmore-container"><div class="readmore"><a href="<?php the_permalink(); ?>">Read More &raquo;</a></div></div>
				<div class="separator"></div>
			</div>

		<?php endwhile; ?>

		<?php if(function_exists('wp_pagenavi')) {
				wp_pagenavi();
			} else{?>
				<div class="entry-navigation">
					<div class="Left"><?php next_posts_link('&laquo; Older Entries') ?></div>
					<div class="Right"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
				</div>
		<?php } ?>

	<?php else : ?>

		<h2 class="center">No posts found. Try a different search?</h2>
		<br />
		<?php get_search_form(); ?>

	<?php endif; ?>

	<div class="Clear">
	</div>
	</div> <!-- narrowcolumn -->
	<div class="Clear">
	</div>
	</div> <!-- page -->
	</div> <!-- content -->
	</div> <!-- wrapper -->

<?php get_footer(); ?>
