<?php
	require_once('common.php');
	checkUser();
	renameUser();
	
	include("header.php");
?>
		<!-- content -->
		<div id="content">
			
			<div class="box">
				<!-- box / title -->
				<div class="title">
					<h5>Analytics</h5>
					<ul class="links">
						<li><a href="">Full Report</a></li>
					</ul>
				</div>
				<!-- end box / title -->
				<div class="sales">
					<div class="legend">
						<h6>News Letters</h6>
						<ul>
							<li class="monitors">2010</li>
							<li class="memory">2011</li>
						</ul>
					</div>
					<div id="sales"></div>
				</div>
			</div>
			
		
			<!-- box / left -->
			<div id="box-left-tabs" class="box box-padding">
				<!-- box / title -->
				<div class="title">
					<h5>Jimmy Cleans - Administration</h5>
					<ul class="links">
						<li><a href="#box-left-welcome">Welcome</a></li>
						<li><a href="#box-left-other">News Letter - FAQ</a></li>
					</ul>
				</div>
				<!-- end box / title -->
				<div id="box-left-welcome">
						<h2>Hello There!</h2>
						<p>This application is for use as a mass email marketing tool. The application gives you the option of selecting
							pre-made news letter templates from a list and sending them out with a customized subject line for each bulk mail 
							that is sent.</p>
						<p>Features Include</p>
						<ul class="disc">
							<li>Ability to manually add email addresses</li>
							<li>Remove selected email addresses</li>
							<li>Upload and send pre-made news letters</li>
							<li>News Letter Analytics (Coming Soon)</li>
						</ul>
				</div>
				<div id="box-left-other">
					<!-- paragraphs -->
					<h2>News Letter Management - FAQ</h2>
					<p><strong>How do I send a news letter?</strong></p>
					<blockquote>
						<p>To send a news letter correctly, here are a few things to check first:
							<ol class="decimal">
								<li>Make sure the database has some email addresses in it</li>
								<li>Look to see if you have any news letter templates loaded, if you have no templates loaded
									the drop down in the <a href="http://jimmycleans.com/jc-newsletter/send_email.php">Manage News Letter</a>
									menu item will only have - Select Template - shown.</li>
								<li>Load a template if you do not have any already loaded</li>
								<li>Select your template, a preview will be displayed below the drop down box to show you a preview of what you
									will be mailing.</li>
								<li>Simply fill out the necessary fields such as the subject line of the email</li>
								<li>Now just press submit and you've sent a newsletter, you will then see a last that will populate saying if the mail
									was sent successfully to the email addresses in the database.</li>
							</ol>
						</p>
					</blockquote>
					<p><strong>How do I add an email address in the admin area?</strong></p>
					<blockquote>
						<p>
							In order to add an email address to the database you can either enter it through
							the form on the <a href="http://jimmycleans.com/contact-us/">Contact Page</a> or you can add it in using the
							<a href="add_email.php">Add Email Address</a> menu item in the Email Address drop down.
						</p>
						
						<p>
							When adding an email address through the administration area, you must include the first and last name of the
							subscriber along with their email.
						</p>
					</blockquote>
					<p><strong>When I try to send a news letter, there are no templates loaded.</strong></p>
					<blockquote>
						<p>
							If you are attempting to send a news letter and the drop down menu on the
							<a href="http://jimmycleans.com/jc-newsletter/send_email.php">Manage News Letter</a> page shows no options in
							the drop down menu, this means there are no template files loaded in the templates directory.
						</p>
					</blockquote>
					<p><strong>How are the news letters being tracked?</strong></p>
					<blockquote>
						<p>
							The way in which the news letters being sent out are tracked are through the use of a transparent image
							that is insterted into the email after you have sent it off and away to it's recipients. Using an image
							provides an accurate representation of how many people are looking at the news letters being sent out since
							when the image is viewed, a entry is made in the database which notes that a request was made for that particular
							image. 
						</p>
						
						<p>
							Information being tracked by this method are the email addresses that viewed the news letter and the date and time that
							the news letter was opened.
						</p>
					</blockquote>
					<p><strong>How to register a new user</strong></p>
					<blockquote>
						In order to register a new user you need to know the "Super Secret Password". When filling out the registration form 
						you must enter the username you wish to use, the password and then re-enter it for confirmation. The final field is the confirmation
						password that should be kept internal. The password is JimmyClean, without this you cannot register a new user.
					</blockquote>
					
					<!-- end paragraphs -->
				</div>
			</div>
			<!-- end box / left -->
		
		<!-- end content -->
		<?php
include("footer.php");
?>